> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neynar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch fungibles

> Fetch details for fungible assets identified by fungible identifiers.

## Node.js SDK

🔗 **SDK Method:** [fetchFungibles](/nodejs-sdk/onchain-apis/fetchFungibles)

Use this API endpoint with the Neynar Node.js SDK for typed responses and better developer experience.


## OpenAPI

````yaml get /v2/farcaster/fungibles/
openapi: 3.0.4
info:
  contact:
    email: team@neynar.com
    name: Neynar
    url: https://neynar.com/
  description: >-
    The Neynar API allows you to interact with the Farcaster protocol among
    other things. See the [Neynar docs](https://docs.neynar.com/reference) for
    more details.
  title: Neynar API
  version: 3.173.0
servers:
  - url: https://api.neynar.com
security:
  - ApiKeyAuth: []
tags:
  - description: Operations related to user
    externalDocs:
      description: More info about user
      url: https://docs.neynar.com/reference/user-operations
    name: User
  - description: Operations related to signer
    externalDocs:
      description: More info about signer
      url: https://docs.neynar.com/reference/signer-operations
    name: Signer
  - description: Operations related to cast
    externalDocs:
      description: More info about cast
      url: https://docs.neynar.com/reference/cast-operations
    name: Cast
  - description: Operations related to feed
    externalDocs:
      description: More info about feed
      url: https://docs.neynar.com/reference/feed-operations
    name: Feed
  - description: Operations related to reaction
    externalDocs:
      description: More info about reaction
      url: https://docs.neynar.com/reference/reaction-operations
    name: Reaction
  - description: Operations related to notifications
    externalDocs:
      description: More info about notifications
      url: https://docs.neynar.com/reference/notifications-operations
    name: Notifications
  - description: Operations related to channels
    externalDocs:
      description: More info about channels
      url: https://docs.neynar.com/reference/channel-operations
    name: Channel
  - description: Operations related to follows
    externalDocs:
      description: More info about follows
      url: https://docs.neynar.com/reference/follows-operations
    name: Follows
  - description: Operations related to storage
    externalDocs:
      description: More info about storage
      url: https://docs.neynar.com/reference/storage-operations
    name: Storage
  - description: Operations related to mini apps
    name: Frame
  - description: Operations for building AI agents
    name: Agents
  - description: Operations related to fname
    name: fname
  - description: Operations related to a webhook
    name: Webhook
  - description: >-
      Securely communicate and perform actions on behalf of users across
      different apps
    externalDocs:
      description: More info about farcaster actions
      url: https://docs.neynar.com/docs/farcaster-actions-spec
    name: Action
  - description: Operations related to a subscriptions
    name: Subscribers
  - description: Operations related to a mute
    name: Mute
  - description: Operations related to a block
    name: Block
  - description: Operations related to a ban
    name: Ban
  - description: Operations related to onchain data
    name: Onchain
  - description: Operations related to login
    name: Login
  - description: Operations related to retrieving metrics
    name: Metrics
  - description: Operations related to mini app host notifications
    externalDocs:
      description: More info about mini app host notifications
      url: https://docs.neynar.com/docs/app-host-notifications
    name: App Host
paths:
  /v2/farcaster/fungibles/:
    get:
      tags:
        - Onchain
      summary: Fetch fungibles
      description: Fetch details for fungible assets identified by fungible identifiers.
      operationId: fetch-fungibles
      parameters:
        - $ref: '#/components/parameters/NeynarExperimentalHeader'
        - description: Comma-separated fungible identifiers
          in: query
          name: fungibles
          required: true
          schema:
            example: >-
              eip155:8453/erc20:0x833589fcd6edb6e08f4c7c32d4f71b54bda02913,eip155:8453/erc20:0x2f6c17fa9f9bc3600346ab4e48c0701e1d5962ae
            type: string
        - description: Optional FID of the viewer to personalize cast count filtering
          in: query
          name: viewer_fid
          schema:
            type: number
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FungiblesResponseSchema'
          description: Success
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Bad Request
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRes'
          description: Server Error
      externalDocs:
        url: https://docs.neynar.com/reference/fetch-fungibles
components:
  parameters:
    NeynarExperimentalHeader:
      description: >-
        Enables experimental features including filtering based on the Neynar
        score. See
        [docs](https://neynar.notion.site/Experimental-Features-1d2655195a8b80eb98b4d4ae7b76ae4a)
        for more details.
      in: header
      name: x-neynar-experimental
      schema:
        default: false
        type: boolean
      x-is-global-header: true
  schemas:
    FungiblesResponseSchema:
      description: Response containing fungible details
      properties:
        fungibles:
          items:
            $ref: '#/components/schemas/FarcasterFungible'
          type: array
      required:
        - fungibles
      title: FungiblesResponseSchema
      type: object
    ErrorRes:
      description: Details for the error response
      properties:
        code:
          type: string
        message:
          type: string
        property:
          type: string
        status:
          format: int32
          type: integer
      required:
        - message
      title: ErrorRes
      type: object
    FarcasterFungible:
      properties:
        cast_count:
          description: The total number of comments on the token
          type: integer
        fungible:
          $ref: '#/components/schemas/Fungible'
        object:
          enum:
            - farcaster_fungible
          type: string
      required:
        - object
        - fungible
        - cast_count
      title: FarcasterFungible
      type: object
    Fungible:
      properties:
        address:
          description: The contract address of the token
          type: string
        decimals:
          description: The number of decimals the token uses
          type: integer
        logo:
          description: The logo URL of the token
          nullable: true
          type: string
        name:
          description: The token name e.g. "Ethereum"
          type: string
        network:
          $ref: '#/components/schemas/Network'
        object:
          enum:
            - fungible
          type: string
        symbol:
          description: The token symbol e.g. "ETH"
          type: string
        total_supply:
          description: The total supply of the token
          nullable: true
          type: string
      required:
        - object
        - network
        - name
        - symbol
        - address
        - decimals
        - total_supply
        - logo
      title: Fungible
      type: object
    Network:
      description: A blockchain network e.g. "ethereum", "optimism", "base", "arbitrum"
      enum:
        - ethereum
        - optimism
        - base
        - arbitrum
      title: Network
      type: string
  securitySchemes:
    ApiKeyAuth:
      description: API key to authorize requests
      in: header
      name: x-api-key
      type: apiKey
      x-default: NEYNAR_API_DOCS

````